import { default as Avatar } from './avatar.vue';
export declare enum PuikAvatarMode {
    Primary = "primary",
    Reverse = "reverse"
}
export declare const AVATAR_MODE: {
    primary: string;
    reverse: string;
};
export declare enum PuikAvatarSize {
    Small = "small",
    Medium = "medium",
    Large = "large",
    Jumbo = "jumbo"
}
export declare const ICONS_FONTSIZE: {
    small: string;
    medium: string;
    large: string;
    jumbo: string;
};
export declare enum PuikAvatarType {
    Photo = "photo",
    Icon = "icon",
    Initials = "initials"
}
export interface AvatarProps {
    id?: string;
    mode?: `${PuikAvatarMode}`;
    size?: `${PuikAvatarSize}`;
    type?: `${PuikAvatarType}`;
    icon?: string;
    src?: string;
    alt?: string;
    firstName?: string;
    lastName?: string;
    singleInitial?: Boolean;
    dataTest?: string;
    ariaLabel?: string;
}
export type AvatarInstance = InstanceType<typeof Avatar>;
