import { defineComponent as e, createElementBlock as t, openBlock as r, mergeProps as i, renderSlot as l } from "vue";
import { PuikAriaLive as o } from "../../base/src/common.mjs";
import { PuikBadgeVariants as n } from "./badge.mjs";
const s = ["data-test", "aria-live"], b = /* @__PURE__ */ e({
  name: "PuikBadge",
  __name: "badge",
  props: {
    variant: { default: n.Neutral, type: null },
    dataTest: { type: String },
    ariaLabel: { type: String },
    ariaLive: { default: o.Polite, type: null }
  },
  setup(d) {
    return (a, p) => (r(), t("div", i(a.ariaLabel ? { "aria-label": a.ariaLabel } : {}, {
      class: ["puik-badge", [`puik-badge--${a.variant}`]],
      "data-test": a.dataTest,
      role: "status",
      "aria-live": a.ariaLive,
      tabindex: "0"
    }), [
      l(a.$slots, "default")
    ], 16, s));
  }
});
export {
  b as default
};
