import { RouteLocationRaw } from 'vue-router';
import { default as Breadcrumb } from './breadcrumb.vue';
import { PuikLinkTargetVariants } from '../../link';
export interface BreadcrumbItem {
    label: string;
    to?: RouteLocationRaw;
    href?: string;
    target?: `${PuikLinkTargetVariants}`;
    dataTest?: string;
}
export interface BreadcrumbProps {
    items?: BreadcrumbItem[];
    itemsJson?: string;
    separatorIcon?: string;
    icon?: string;
}
export type BreadcrumbInstance = InstanceType<typeof Breadcrumb>;
