import { InjectionKey, Ref, WritableComputedRef } from 'vue';
import { default as ButtonGroup } from './button-group.vue';
import { ButtonProps } from '@prestashopcorp/puik-components';
export type ButtonGroupType = ButtonProps & {
    label: string;
};
export interface ButtonGroupProps {
    modelValue?: string | number | Record<string, any> | any[];
}
export type ButtonGroupInstance = InstanceType<typeof ButtonGroup>;
export type ButtonGroupContext = {
    selected: Ref<string | number | any[] | Record<string, any> | undefined> | WritableComputedRef<string | number | any[] | Record<string, any> | undefined>;
};
export declare const ButtonGroupKey: InjectionKey<ButtonGroupContext>;
