import { RouteLocationRaw } from 'vue-router';
import { default as Link } from './link.vue';
export declare enum PuikLinkTargetVariants {
    Blank = "_blank",
    Self = "_self",
    Parent = "_parent",
    Top = "_top"
}
export declare enum PuikLinkSizes {
    Small = "sm",
    Medium = "md",
    Large = "lg"
}
export interface LinkProps {
    size?: `${PuikLinkSizes}`;
    href?: string;
    to?: RouteLocationRaw;
    target?: `${PuikLinkTargetVariants}`;
    title?: string;
    highContrast?: boolean;
    articles?: boolean;
    dataTest?: string;
    ariaLabel?: string;
}
export type LinkInstance = InstanceType<typeof Link>;
