import { defineComponent as s, computed as a, createBlock as p, openBlock as n, resolveDynamicComponent as u, mergeProps as k, withCtx as c, renderSlot as d, createElementBlock as m, createCommentVNode as g, unref as f, toDisplayString as h } from "vue";
import { PuikLinkTargetVariants as r, PuikLinkSizes as y } from "./link.mjs";
const _ = {
  key: 0,
  class: "puik-link__target__icon",
  "aria-hidden": "true"
}, S = "open_in_new", T = /* @__PURE__ */ s({
  name: "PuikLink",
  __name: "link",
  props: {
    size: { default: y.Medium, type: null },
    href: { type: String },
    to: { type: null },
    target: { default: r.Self, type: null },
    title: { type: String },
    highContrast: { type: Boolean },
    articles: { type: Boolean },
    dataTest: { type: String },
    ariaLabel: { type: String }
  },
  setup(i) {
    const t = i, l = a(() => t.to ? "router-link" : "a"), o = a(
      () => t.to ? { to: t.to } : { href: t.href }
    );
    return (e, B) => (n(), p(u(l.value), k(o.value, {
      target: e.target,
      title: e.title,
      class: [
        "puik-link",
        `puik-link--${e.size}`,
        { "puik-link--high-contrast": e.highContrast },
        { "puik-link--articles": e.articles }
      ],
      "data-test": e.dataTest,
      role: "link",
      "aria-label": e.ariaLabel
    }), {
      default: c(() => [
        d(e.$slots, "default"),
        t.target === f(r).Blank ? (n(), m("span", _, h(S))) : g("", !0)
      ]),
      _: 3
    }, 16, ["target", "title", "class", "data-test", "aria-label"]));
  }
});
export {
  T as default
};
