import { inject as l, computed as s, unref as c, isRef as f, ref as u } from "vue";
import "../../config-provider/src/config-provider.mjs";
import { configProviderContextKey as a } from "../../config-provider/src/config-provider-keys.mjs";
import "../../button/src/button.vue2.mjs";
import "../../input/src/input.vue2.mjs";
import "../../alert/src/alert.vue2.mjs";
import "../../tooltip/src/tooltip.vue2.mjs";
import "@headlessui/vue";
import { locales as d } from "../lang/index.mjs";
import { debugWarn as b } from "../../utils/error.mjs";
import "@vueuse/core";
import "../../link/src/link.vue2.mjs";
import "../../card/src/card.vue2.mjs";
import "@vueuse/components";
import "../../pagination/src/pagination.vue2.mjs";
import "../../badge/src/badge.vue2.mjs";
import "../../skeleton-loader/src/skeleton-loader.vue2.mjs";
import "../../modal/src/modal.vue2.mjs";
import "../../snackbar/src/snackbar.vue2.mjs";
import "../../snackbar/src/snackbar-provider.vue2.mjs";
import "../../table/src/table-search-input.vue2.mjs";
import "../../spinner-loader/src/spinner-loader.vue2.mjs";
import "../../menu/src/menu.vue2.mjs";
import "../../chip/src/chip.vue2.mjs";
import "../../tag/src/tag.vue2.mjs";
import "../../avatar/src/avatar.vue2.mjs";
import "../../divider/src/divider.vue2.mjs";
import "../../notification-bar/src/notification-bar.vue2.mjs";
import "../../sortable-list/src/sortable-list.vue2.mjs";
import "../../rating-card/src/rating-card.vue2.mjs";
const g = (r) => (t, m) => {
  const e = c(r);
  let o = n(t, m, e);
  return o || (b(
    "i18n",
    `Not found "${t}" key for "${e.name}" locale messages.`
  ), o = n(t, m, e)), o || t;
}, n = (r, t, m) => {
  const e = r.split(".");
  let o = m;
  for (const i of e)
    if (o = o[i], !o)
      break;
  return o == null ? void 0 : o.replace(
    /\{(\w+)\}/g,
    (i, p) => `${(t == null ? void 0 : t[p]) ?? `{${p}}`}`
  );
}, $ = (r) => {
  const t = s(() => c(r).name), m = f(r) ? r : u(r);
  return {
    lang: t,
    locale: m,
    t: g(r)
  };
}, U = () => {
  const r = l(a, null);
  return $(
    s(() => d[(r == null ? void 0 : r.value.locale) ?? "en"])
  );
};
export {
  $ as buildLocaleContext,
  g as buildTranslator,
  n as translate,
  U as useLocale
};
