import { default as Menu } from './menu.vue';
export declare enum PuikMenuAligns {
    Left = "left",
    Right = "right"
}
export declare enum PuikMenuPositions {
    Top = "top",
    Bottom = "bottom"
}
export interface MenuProps {
    maxHeight?: string;
    width?: string;
    align?: `${PuikMenuAligns}`;
    position?: `${PuikMenuPositions}`;
}
export type MenuInstance = InstanceType<typeof Menu>;
