import { defineComponent as d, computed as r, createElementBlock as u, openBlock as p, Fragment as s, createElementVNode as m, createVNode as b, toDisplayString as a, unref as g, withCtx as c, createTextVNode as f } from "vue";
import { PuikButton as k } from "../../button/index.mjs";
import { useLocale as y } from "../../locale/hooks/use-locale.mjs";
const B = { class: "puik-pagination__label" }, S = /* @__PURE__ */ d({
  name: "PuikPaginationLoader",
  __name: "pagination-loader",
  props: {
    modelValue: { default: 1, type: Number },
    id: { type: String },
    disabled: { type: Boolean },
    label: { type: String },
    loaderButtonLabel: { type: String },
    dataTest: { type: String }
  },
  emits: ["update:modelValue"],
  setup(o) {
    const n = o, { t: i } = y(), l = r(
      () => n.loaderButtonLabel ?? i("puik.pagination.loader.button")
    );
    return (e, t) => (p(), u(s, null, [
      m("span", B, a(e.label), 1),
      b(g(k), {
        disabled: e.disabled,
        variant: "tertiary",
        class: "puik-pagination__button puik-pagination__load-more-button",
        fluid: "",
        "data-test": e.dataTest != null ? `loadMoreButton-${e.dataTest}` : void 0,
        onClick: t[0] || (t[0] = (V) => e.$emit("update:modelValue", e.modelValue + 1))
      }, {
        default: c(() => [
          f(a(l.value), 1)
        ]),
        _: 1
      }, 8, ["disabled", "data-test"])
    ], 64));
  }
});
export {
  S as default
};
