import { defineComponent as u, createElementBlock as r, openBlock as p, Fragment as m, createVNode as l, createElementVNode as b, unref as t, toDisplayString as g } from "vue";
import { PuikButton as n } from "../../button/index.mjs";
import { useLocale as k } from "../../locale/hooks/use-locale.mjs";
const v = ["data-test"], B = /* @__PURE__ */ u({
  name: "PuikPaginationMobile",
  __name: "pagination-mobile",
  props: {
    modelValue: { default: 1, type: Number },
    id: { type: String },
    disabled: { type: Boolean },
    maxPage: { type: Number },
    label: { type: String },
    dataTest: { type: String }
  },
  emits: ["update:modelValue"],
  setup(V, { emit: d }) {
    const i = d, { t: o } = k();
    return (e, a) => (p(), r(m, null, [
      l(t(n), {
        "aria-label": t(o)("puik.pagination.previous", { page: e.modelValue - 1 }),
        disabled: e.modelValue <= 1 || e.disabled,
        class: "puik-pagination__previous-button puik-pagination__button",
        "left-icon": "keyboard_arrow_left",
        variant: "secondary",
        "data-test": e.dataTest != null ? `previousButton-${e.dataTest}` : void 0,
        onClick: a[0] || (a[0] = (s) => i("update:modelValue", e.modelValue - 1))
      }, null, 8, ["aria-label", "disabled", "data-test"]),
      b("span", {
        class: "puik-pagination__label",
        "data-test": e.dataTest != null ? `label-${e.dataTest}` : void 0
      }, g(e.label), 9, v),
      l(t(n), {
        "aria-label": t(o)("puik.pagination.next", { page: e.modelValue + 1 }),
        disabled: e.modelValue >= e.maxPage || e.disabled,
        class: "puik-pagination__button puik-pagination__next-button",
        "right-icon": "keyboard_arrow_right",
        variant: "secondary",
        "data-test": e.dataTest != null ? `nextButton-${e.dataTest}` : void 0,
        onClick: a[1] || (a[1] = (s) => i("update:modelValue", e.modelValue + 1))
      }, null, 8, ["aria-label", "disabled", "data-test"])
    ], 64));
  }
});
export {
  B as default
};
