import { defineComponent as B, ref as i, watch as s, createElementBlock as p, openBlock as n, withKeys as c, normalizeClass as V, withModifiers as m, renderSlot as b, createBlock as h, createCommentVNode as C, Fragment as N, createVNode as R, unref as f, createElementVNode as v, toDisplayString as k, toRaw as S } from "vue";
import { PuikCheckbox as K } from "../../checkbox/index.mjs";
import { PuikIcon as P } from "../../icon/index.mjs";
const _ = ["aria-selected", "aria-disabled", "data-test", "onKeydown"], T = /* @__PURE__ */ B({
  name: "PuikOption",
  __name: "option",
  props: {
    label: { type: [String, Number] },
    value: { type: [String, Number] },
    disabled: { type: Boolean, default: !1 },
    isSelected: { type: Boolean, default: !1 },
    multiSelect: { type: Boolean, default: !1 },
    dataTest: { type: String }
  },
  emits: ["open", "select"],
  setup(y, { emit: g }) {
    const e = y, a = g, t = i(e.isSelected), d = i(e.label), u = i(e.value), o = () => {
      e.disabled || (a("select", { label: S(d.value), value: S(u.value) }), e.multiSelect ? a("open", !0) : a("open", !1));
    };
    return s(() => e.isSelected, (l) => {
      t.value = l;
    }), s(() => e.label, (l) => {
      d.value = l;
    }), s(() => e.value, (l) => {
      u.value = l;
    }), (l, r) => (n(), p("div", {
      class: V([
        "puik-option",
        { "puik-option-single--selected": t.value && !e.multiSelect },
        { "puik-option--disabled": e.disabled }
      ]),
      role: "option",
      "aria-selected": t.value,
      "aria-disabled": e.disabled,
      tabindex: "-1",
      "data-test": e.dataTest,
      onClick: o,
      onKeydown: [
        c(m(o, ["prevent", "stop"]), ["space"]),
        c(m(o, ["prevent", "stop"]), ["enter"])
      ]
    }, [
      e.multiSelect ? (n(), p(N, { key: 0 }, [
        R(f(K), {
          modelValue: t.value,
          "onUpdate:modelValue": r[0] || (r[0] = (w) => t.value = w),
          disabled: e.disabled,
          "sr-label": `${l.label}`
        }, null, 8, ["modelValue", "disabled", "sr-label"]),
        b(l.$slots, "default", {}, () => [
          v("label", null, k(l.label), 1)
        ])
      ], 64)) : b(l.$slots, "default", { key: 1 }, () => [
        v("label", null, k(l.label), 1)
      ]),
      t.value && !e.multiSelect ? (n(), h(f(P), {
        key: 2,
        class: "puik-option__selected-icon",
        icon: "check"
      })) : C("", !0)
    ], 42, _));
  }
});
export {
  T as default
};
