import { Ref, InjectionKey } from 'vue';
import { default as Sidebar } from './sidebar.vue';
export interface SidebarProps {
    expanded?: boolean;
    openAccordion?: string;
    mobile?: boolean;
}
export type SidebarInstance = InstanceType<typeof Sidebar>;
export type SidebarContext = {
    extended: Ref<boolean>;
};
export declare const sidebarKey: InjectionKey<SidebarContext>;
export declare const groupItemKey: InjectionKey<boolean>;
