import { default as SnackbarProvider } from './snackbar-provider.vue';
export declare enum PuikSnackbarSwipeDirections {
    Right = "right",
    Left = "left",
    Up = "up",
    Down = "down"
}
export declare enum PuikSnackbarPositionsX {
    Left = "left",
    Center = "center",
    Right = "right"
}
export declare enum PuikSnackbarPositionsY {
    Up = "up",
    Down = "down"
}
export interface SnackbarProviderProps {
    label?: string;
    duration?: number;
    swipeDirection?: `${PuikSnackbarSwipeDirections}`;
    swipeThreshold?: number;
    positionX?: `${PuikSnackbarPositionsX}`;
    positionY?: `${PuikSnackbarPositionsY}`;
}
export type SnackbarProviderInstance = InstanceType<typeof SnackbarProvider>;
