import { SortableListProps, PuikSortableListIconPosition, PuikSortableListTag } from './sortable-list';
import { nextTick } from 'vue';
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        'custom-content'?(_: {
            element: any;
            index: number;
        }): any;
    };
    refs: {};
    rootEl: HTMLDivElement;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<SortableListProps, {
    sortable: import('vue').Ref<({
        $: import('vue').ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            options: {};
            list: any[];
            itemKey: string | ((item: any) => string | number | Symbol);
            tag: string;
        }> & Omit<{
            readonly options: {};
            readonly tag: string;
            readonly list: any[];
            readonly itemKey: string | ((item: any) => string | number | Symbol);
            onUnchoose?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onChoose?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onStart?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onEnd?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onAdd?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onUpdate?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onSort?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onRemove?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onFilter?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onMove?: ((evt: import('sortablejs').MoveEvent, originalEvent: Event) => any) | undefined | undefined;
            onClone?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onChange?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
        } & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps, "options" | "tag" | "list" | "itemKey">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import('vue').Slot<any> | undefined;
        }>;
        $root: import('vue').ComponentPublicInstance | null;
        $parent: import('vue').ComponentPublicInstance | null;
        $host: Element | null;
        $emit: ((event: "sort", evt: import('sortablejs').SortableEvent) => void) & ((event: "filter", evt: import('sortablejs').SortableEvent) => void) & ((event: "add", evt: import('sortablejs').SortableEvent) => void) & ((event: "update", evt: import('sortablejs').SortableEvent) => void) & ((event: "change", evt: import('sortablejs').SortableEvent) => void) & ((event: "choose", evt: import('sortablejs').SortableEvent) => void) & ((event: "unchoose", evt: import('sortablejs').SortableEvent) => void) & ((event: "start", evt: import('sortablejs').SortableEvent) => void) & ((event: "end", evt: import('sortablejs').SortableEvent) => void) & ((event: "remove", evt: import('sortablejs').SortableEvent) => void) & ((event: "move", evt: import('sortablejs').MoveEvent, originalEvent: Event) => void) & ((event: "clone", evt: import('sortablejs').SortableEvent) => void);
        $el: any;
        $options: import('vue').ComponentOptionsBase<Readonly<import('vue').ExtractPropTypes<{
            options: {
                type: import('vue').PropType<{}>;
                default: null;
                required: false;
            };
            list: {
                type: import('vue').PropType<any[]>;
                default: never[];
                required: true;
            };
            itemKey: {
                type: import('vue').PropType<string | ((item: any) => string | number | Symbol)>;
                default: string;
                required: true;
            };
            tag: {
                type: import('vue').PropType<string>;
                default: string;
                required: false;
            };
        }>> & {
            onUnchoose?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onChoose?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onStart?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onEnd?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onAdd?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onUpdate?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onSort?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onRemove?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onFilter?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onMove?: ((evt: import('sortablejs').MoveEvent, originalEvent: Event) => any) | undefined;
            onClone?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onChange?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        }, {
            containerRef: import('vue').Ref<HTMLDivElement | null>;
            sortable: import('vue').Ref<import("sortablejs") | null>;
            isDragging: import('vue').Ref<boolean>;
        }, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            choose: (evt: import('sortablejs').SortableEvent) => void;
            unchoose: (evt: import('sortablejs').SortableEvent) => void;
            start: (evt: import('sortablejs').SortableEvent) => void;
            end: (evt: import('sortablejs').SortableEvent) => void;
            add: (evt: import('sortablejs').SortableEvent) => void;
            update: (evt: import('sortablejs').SortableEvent) => void;
            sort: (evt: import('sortablejs').SortableEvent) => void;
            remove: (evt: import('sortablejs').SortableEvent) => void;
            filter: (evt: import('sortablejs').SortableEvent) => void;
            move: (evt: import('sortablejs').MoveEvent, originalEvent: Event) => void;
            clone: (evt: import('sortablejs').SortableEvent) => void;
            change: (evt: import('sortablejs').SortableEvent) => void;
        }, string, {
            options: {};
            list: any[];
            itemKey: string | ((item: any) => string | number | Symbol);
            tag: string;
        }, {}, string, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, import('vue').ComponentProvideOptions> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import('vue').DebuggerEvent) => void) | ((e: import('vue').DebuggerEvent) => void)[];
            renderTriggered?: ((e: import('vue').DebuggerEvent) => void) | ((e: import('vue').DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void) | ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (...args: [R, R, import('@vue/reactivity').OnCleanup]) => any : (...args: [any, any, import('@vue/reactivity').OnCleanup]) => any, options?: import('vue').WatchOptions): import('vue').WatchStopHandle;
    } & Readonly<{
        options: {};
        list: any[];
        itemKey: string | ((item: any) => string | number | Symbol);
        tag: string;
    }> & Omit<Readonly<import('vue').ExtractPropTypes<{
        options: {
            type: import('vue').PropType<{}>;
            default: null;
            required: false;
        };
        list: {
            type: import('vue').PropType<any[]>;
            default: never[];
            required: true;
        };
        itemKey: {
            type: import('vue').PropType<string | ((item: any) => string | number | Symbol)>;
            default: string;
            required: true;
        };
        tag: {
            type: import('vue').PropType<string>;
            default: string;
            required: false;
        };
    }>> & {
        onUnchoose?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onChoose?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onStart?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onEnd?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onAdd?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onUpdate?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onSort?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onRemove?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onFilter?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onMove?: ((evt: import('sortablejs').MoveEvent, originalEvent: Event) => any) | undefined;
        onClone?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onChange?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
    }, "options" | "tag" | "list" | "itemKey" | "containerRef" | "sortable" | "isDragging"> & import('vue').ShallowUnwrapRef<{
        containerRef: import('vue').Ref<HTMLDivElement | null>;
        sortable: import('vue').Ref<import("sortablejs") | null>;
        isDragging: import('vue').Ref<boolean>;
    }> & {} & import('vue').ComponentCustomProperties & {} & {
        $slots: {
            header?(_: {}): any;
            item?(_: {
                key: any;
                element: any;
                index: number;
            }): any;
            footer?(_: {}): any;
        };
    }) | null, ({
        $: import('vue').ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            options: {};
            list: any[];
            itemKey: string | ((item: any) => string | number | Symbol);
            tag: string;
        }> & Omit<{
            readonly options: {};
            readonly tag: string;
            readonly list: any[];
            readonly itemKey: string | ((item: any) => string | number | Symbol);
            onUnchoose?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onChoose?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onStart?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onEnd?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onAdd?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onUpdate?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onSort?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onRemove?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onFilter?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onMove?: ((evt: import('sortablejs').MoveEvent, originalEvent: Event) => any) | undefined | undefined;
            onClone?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
            onChange?: ((evt: import('sortablejs').SortableEvent) => any) | undefined | undefined;
        } & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps, "options" | "tag" | "list" | "itemKey">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import('vue').Slot<any> | undefined;
        }>;
        $root: import('vue').ComponentPublicInstance | null;
        $parent: import('vue').ComponentPublicInstance | null;
        $host: Element | null;
        $emit: ((event: "sort", evt: import('sortablejs').SortableEvent) => void) & ((event: "filter", evt: import('sortablejs').SortableEvent) => void) & ((event: "add", evt: import('sortablejs').SortableEvent) => void) & ((event: "update", evt: import('sortablejs').SortableEvent) => void) & ((event: "change", evt: import('sortablejs').SortableEvent) => void) & ((event: "choose", evt: import('sortablejs').SortableEvent) => void) & ((event: "unchoose", evt: import('sortablejs').SortableEvent) => void) & ((event: "start", evt: import('sortablejs').SortableEvent) => void) & ((event: "end", evt: import('sortablejs').SortableEvent) => void) & ((event: "remove", evt: import('sortablejs').SortableEvent) => void) & ((event: "move", evt: import('sortablejs').MoveEvent, originalEvent: Event) => void) & ((event: "clone", evt: import('sortablejs').SortableEvent) => void);
        $el: any;
        $options: import('vue').ComponentOptionsBase<Readonly<import('vue').ExtractPropTypes<{
            options: {
                type: import('vue').PropType<{}>;
                default: null;
                required: false;
            };
            list: {
                type: import('vue').PropType<any[]>;
                default: never[];
                required: true;
            };
            itemKey: {
                type: import('vue').PropType<string | ((item: any) => string | number | Symbol)>;
                default: string;
                required: true;
            };
            tag: {
                type: import('vue').PropType<string>;
                default: string;
                required: false;
            };
        }>> & {
            onUnchoose?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onChoose?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onStart?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onEnd?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onAdd?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onUpdate?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onSort?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onRemove?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onFilter?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onMove?: ((evt: import('sortablejs').MoveEvent, originalEvent: Event) => any) | undefined;
            onClone?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
            onChange?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        }, {
            containerRef: import('vue').Ref<HTMLDivElement | null>;
            sortable: import('vue').Ref<import("sortablejs") | null>;
            isDragging: import('vue').Ref<boolean>;
        }, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            choose: (evt: import('sortablejs').SortableEvent) => void;
            unchoose: (evt: import('sortablejs').SortableEvent) => void;
            start: (evt: import('sortablejs').SortableEvent) => void;
            end: (evt: import('sortablejs').SortableEvent) => void;
            add: (evt: import('sortablejs').SortableEvent) => void;
            update: (evt: import('sortablejs').SortableEvent) => void;
            sort: (evt: import('sortablejs').SortableEvent) => void;
            remove: (evt: import('sortablejs').SortableEvent) => void;
            filter: (evt: import('sortablejs').SortableEvent) => void;
            move: (evt: import('sortablejs').MoveEvent, originalEvent: Event) => void;
            clone: (evt: import('sortablejs').SortableEvent) => void;
            change: (evt: import('sortablejs').SortableEvent) => void;
        }, string, {
            options: {};
            list: any[];
            itemKey: string | ((item: any) => string | number | Symbol);
            tag: string;
        }, {}, string, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, import('vue').ComponentProvideOptions> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import('vue').DebuggerEvent) => void) | ((e: import('vue').DebuggerEvent) => void)[];
            renderTriggered?: ((e: import('vue').DebuggerEvent) => void) | ((e: import('vue').DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void) | ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (...args: [R, R, import('@vue/reactivity').OnCleanup]) => any : (...args: [any, any, import('@vue/reactivity').OnCleanup]) => any, options?: import('vue').WatchOptions): import('vue').WatchStopHandle;
    } & Readonly<{
        options: {};
        list: any[];
        itemKey: string | ((item: any) => string | number | Symbol);
        tag: string;
    }> & Omit<Readonly<import('vue').ExtractPropTypes<{
        options: {
            type: import('vue').PropType<{}>;
            default: null;
            required: false;
        };
        list: {
            type: import('vue').PropType<any[]>;
            default: never[];
            required: true;
        };
        itemKey: {
            type: import('vue').PropType<string | ((item: any) => string | number | Symbol)>;
            default: string;
            required: true;
        };
        tag: {
            type: import('vue').PropType<string>;
            default: string;
            required: false;
        };
    }>> & {
        onUnchoose?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onChoose?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onStart?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onEnd?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onAdd?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onUpdate?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onSort?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onRemove?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onFilter?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onMove?: ((evt: import('sortablejs').MoveEvent, originalEvent: Event) => any) | undefined;
        onClone?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
        onChange?: ((evt: import('sortablejs').SortableEvent) => any) | undefined;
    }, "options" | "tag" | "list" | "itemKey" | "containerRef" | "sortable" | "isDragging"> & import('vue').ShallowUnwrapRef<{
        containerRef: import('vue').Ref<HTMLDivElement | null>;
        sortable: import('vue').Ref<import("sortablejs") | null>;
        isDragging: import('vue').Ref<boolean>;
    }> & {} & import('vue').ComponentCustomProperties & {} & {
        $slots: {
            header?(_: {}): any;
            item?(_: {
                key: any;
                element: any;
                index: number;
            }): any;
            footer?(_: {}): any;
        };
    }) | null>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    [x: string]: any;
} & {
    [x: string]: any;
}, string, import('vue').PublicProps, Readonly<SortableListProps> & Readonly<{
    [x: `on${Capitalize<any>}`]: ((...args: any) => any) | undefined;
}>, {
    options: any;
    tag: `${PuikSortableListTag}`;
    displayPositionNumbers: boolean;
    iconPosition: `${PuikSortableListIconPosition}`;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, HTMLDivElement>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
