import { default as SpinnerLoader } from './spinner-loader.vue';
export declare enum PuikSpinnerLoaderSizes {
    Small = "sm",
    Medium = "md",
    Large = "lg"
}
export declare enum PuikSpinnerLoaderColors {
    Primary = "primary",
    Reverse = "reverse"
}
export declare enum PuikSpinnerLoaderPositions {
    Bottom = "bottom",
    Right = "right"
}
export interface SpinnerLoaderProps {
    size?: `${PuikSpinnerLoaderSizes}`;
    color?: `${PuikSpinnerLoaderColors}`;
    position?: `${PuikSpinnerLoaderPositions}`;
    label?: string;
    dataTest?: string;
}
export type SpinnerLoaderInstance = InstanceType<typeof SpinnerLoader>;
