import { defineComponent as y, computed as o, createBlock as u, openBlock as a, unref as s, withCtx as i, createElementVNode as c, createCommentVNode as r, createVNode as L, renderSlot as m, createTextVNode as h, toDisplayString as n, normalizeClass as g, createElementBlock as S } from "vue";
import { SwitchGroup as $, SwitchLabel as k, Switch as B } from "@headlessui/vue";
import { useLocale as C } from "../../locale/hooks/use-locale.mjs";
const R = { class: "puik-switch__group" }, N = {
  key: 0,
  class: "puik-sr-only"
}, D = /* @__PURE__ */ y({
  name: "PuikSwitch",
  __name: "switch",
  props: {
    label: { type: String },
    srLabel: { type: String },
    labelRight: { type: String },
    disabled: { type: Boolean },
    modelValue: { type: [Boolean, String] }
  },
  emits: ["update:modelValue"],
  setup(w, { emit: f }) {
    const l = w, _ = f, { t: d } = C(), t = o({
      get() {
        return l.modelValue === !0 || l.modelValue === "true";
      },
      set(e) {
        _("update:modelValue", e);
      }
    }), p = o(
      () => `${t.value ? d("puik.switch.disable") : d("puik.switch.enable")} ${l.srLabel}`
    ), V = o(() => l.label ? l.label : l.srLabel && l.srLabel.length > 0 ? p.value : "");
    return (e, b) => (a(), u(s($), null, {
      default: i(() => [
        c("div", R, [
          e.$slots.default || e.label ? (a(), u(s(k), {
            key: 0,
            class: "puik-switch__label puik-switch__label--left"
          }, {
            default: i(() => [
              m(e.$slots, "default", {}, () => [
                h(n(e.label), 1)
              ])
            ]),
            _: 3
          })) : r("", !0),
          L(s(B), {
            modelValue: t.value,
            "onUpdate:modelValue": b[0] || (b[0] = (v) => t.value = v),
            class: g([{
              "puik-switch--enabled": t.value
            }, "puik-switch"]),
            disabled: e.disabled,
            "aria-label": V.value
          }, {
            default: i(() => [
              e.srLabel && e.srLabel.length > 0 ? (a(), S("span", N, n(p.value), 1)) : r("", !0),
              c("span", {
                class: g([{ "puik-switch__toggle--enabled": t.value }, "puik-switch__toggle"])
              }, null, 2)
            ]),
            _: 1
          }, 8, ["modelValue", "class", "disabled", "aria-label"]),
          e.$slots.labelRight || e.labelRight ? (a(), u(s(k), {
            key: 1,
            class: "puik-switch__label puik-switch__label--right"
          }, {
            default: i(() => [
              m(e.$slots, "labelRight", {}, () => [
                h(n(e.labelRight), 1)
              ])
            ]),
            _: 3
          })) : r("", !0)
        ])
      ]),
      _: 3
    }));
  }
});
export {
  D as default
};
