import { defineComponent as p, inject as v, computed as m, watch as k, createElementBlock as f, openBlock as u, normalizeClass as h, unref as n, renderSlot as _ } from "vue";
import { currentTabKey as c } from "./tab-navigation.mjs";
const C = ["id", "aria-selected", "aria-controls", "tabindex"], P = /* @__PURE__ */ p({
  name: "PuikTabNavigationTitle",
  __name: "tab-navigation-title",
  props: {
    disabled: { type: Boolean },
    position: { type: Number }
  },
  setup(s) {
    const e = s, i = v(c, null), d = () => {
      e.disabled || i == null || i.handleTabClick(e.position);
    }, o = m(() => e.position === (i == null ? void 0 : i.currentPosition.value));
    return k(
      () => o.value,
      () => {
        o.value && e.disabled && ((i == null ? void 0 : i.keyEventDirection.value) === "right" && ((i == null ? void 0 : i.currentPosition.value) === (i == null ? void 0 : i.numberOfTabs.value) ? i == null || i.handleTabClick(1) : i == null || i.handleTabClick(e.position + 1)), (i == null ? void 0 : i.keyEventDirection.value) === "left" && ((i == null ? void 0 : i.currentPosition.value) === 1 ? i == null || i.handleTabClick(i == null ? void 0 : i.numberOfTabs.value) : i == null || i.handleTabClick(e.position - 1)));
      }
    ), (l, g) => {
      var a, t;
      return u(), f("button", {
        id: `${(a = n(i)) == null ? void 0 : a.name.value}-position-${l.position}`,
        role: "tab",
        "aria-selected": o.value,
        "aria-controls": `${(t = n(i)) == null ? void 0 : t.name.value}-panel-${l.position}`,
        tabindex: o.value ? 0 : -1,
        class: h([
          "puik-tab-navigation__title",
          {
            "puik-tab-navigation__title--selected": o.value,
            "puik-tab-navigation__title--disabled": l.disabled
          }
        ]),
        onClick: d
      }, [
        _(l.$slots, "default")
      ], 10, C);
    };
  }
});
export {
  P as default
};
