import { defineComponent as f, ref as a, provide as p, createElementBlock as y, openBlock as h, renderSlot as k, nextTick as i } from "vue";
import { currentTabKey as S } from "./tab-navigation.mjs";
const _ = ["id"], P = /* @__PURE__ */ f({
  name: "PuikTabNavigation",
  __name: "tab-navigation",
  props: {
    name: { type: String },
    defaultPosition: { default: 1, type: Number }
  },
  emits: ["change-active-tab"],
  setup(s, { emit: v }) {
    const r = s, c = v, o = a(r.name), l = a(1), t = a(r.defaultPosition), u = a();
    p(S, {
      name: o,
      numberOfTabs: l,
      currentPosition: t,
      keyEventDirection: u,
      handleTabClick: (e) => {
        t.value = e, c("change-active-tab", t.value);
      }
    });
    const d = () => {
      const e = document.querySelector(`#${o.value}`);
      l.value = (e == null ? void 0 : e.querySelectorAll('[role="tab"]').length) || 1, t.value === l.value ? t.value = 1 : t.value++, i(() => {
        (e == null ? void 0 : e.querySelector(
          ".puik-tab-navigation__title--selected"
        )).focus(), c("change-active-tab", t.value);
      });
    }, m = () => {
      const e = document.querySelector(`#${o.value}`);
      l.value = (e == null ? void 0 : e.querySelectorAll('[role="tab"]').length) || 1, t.value <= 1 ? t.value = l.value : t.value--, i(() => {
        (e == null ? void 0 : e.querySelector(
          ".puik-tab-navigation__title--selected"
        )).focus(), c("change-active-tab", t.value);
      });
    }, b = (e) => {
      e.key === "ArrowRight" ? (u.value = "right", d()) : e.key === "ArrowLeft" && (u.value = "left", m());
    };
    return (e, n) => (h(), y("div", {
      id: o.value,
      class: "puik-tab-navigation",
      onKeyup: b
    }, [
      k(e.$slots, "default")
    ], 40, _));
  }
});
export {
  P as default
};
