import { PuikTooltipPositions } from '@prestashopcorp/puik-components';
import { default as Tag } from './tag.vue';
export declare enum PuikTagVariants {
    Neutral = "neutral",
    Blue = "blue",
    Yellow = "yellow",
    Green = "green",
    Purple = "purple"
}
export declare enum PuikTagSizes {
    Default = "default",
    Small = "small"
}
export interface TagProps {
    id?: string;
    content: string;
    variant?: `${PuikTagVariants}`;
    size?: `${PuikTagSizes}`;
    icon?: string;
    disabled?: boolean;
    tooltipPosition?: `${PuikTooltipPositions}`;
    dataTest?: string;
}
export type TagInstance = InstanceType<typeof Tag>;
