import { defineComponent as d, ref as a, watch as p, nextTick as r, createElementBlock as u, openBlock as i, normalizeClass as c, createBlock as n, createCommentVNode as m, createElementVNode as s, unref as l, withCtx as f, toDisplayString as k } from "vue";
import { PuikIcon as g } from "../../icon/index.mjs";
import { PuikTooltip as v } from "../../tooltip/index.mjs";
import { isEllipsisActive as y } from "../../utils/isEllipsisActive.mjs";
import { PuikTagSizes as T, PuikTagVariants as P } from "./tag.mjs";
import { PuikTooltipPositions as h } from "../../tooltip/src/tooltip.mjs";
const S = ["id", "data-test"], b = { class: "puik-tag__content" }, B = ["data-test"], D = /* @__PURE__ */ d({
  name: "PuikTag",
  __name: "tag",
  props: {
    id: { type: String },
    content: { type: String },
    variant: { default: P.Neutral, type: null },
    size: { default: T.Default, type: null },
    icon: { type: String },
    disabled: { type: Boolean },
    tooltipPosition: { default: h.Bottom, type: null },
    dataTest: { type: String }
  },
  setup(w) {
    const e = a(null), o = a(!1);
    return p(e, async () => {
      await r(), e != null && e.value && (o.value = y(e.value));
    }), (t, z) => (i(), u("div", {
      id: t.id,
      class: c([
        `puik-tag puik-tag--${t.variant} puik-tag--${t.size}`,
        { "puik-tag--disabled": t.disabled }
      ]),
      "data-test": t.dataTest
    }, [
      t.icon && t.icon != "" ? (i(), n(l(g), {
        key: 0,
        icon: t.icon,
        class: "puik-tag__icon"
      }, null, 8, ["icon"])) : m("", !0),
      s("div", b, [
        (i(), n(l(v), {
          key: t.content,
          "is-disabled": !o.value,
          position: t.tooltipPosition,
          description: t.content,
          "data-test": t.dataTest != null ? `tooltip-${t.dataTest}` : void 0
        }, {
          default: f(() => [
            s("p", {
              ref_key: "tagContentElem",
              ref: e,
              "data-test": t.dataTest != null ? `content-${t.dataTest}` : void 0
            }, k(t.content), 9, B)
          ]),
          _: 1
        }, 8, ["is-disabled", "position", "description", "data-test"]))
      ])
    ], 10, S));
  }
});
export {
  D as default
};
