import { defineComponent as m, ref as u, watch as s, provide as f, createElementBlock as v, openBlock as x, normalizeClass as y, renderSlot as h } from "vue";
import { accordionGroupKey as g } from "./accordion-group.mjs";
const V = /* @__PURE__ */ m({
  name: "PuikAccordionGroup",
  __name: "accordion-group",
  props: {
    modelValue: { type: [String, Array, null] },
    multiple: { type: Boolean },
    contained: { type: Boolean }
  },
  emits: ["update:modelValue"],
  setup(d, { emit: r }) {
    const l = d, p = r, n = u(l.modelValue), o = u([]);
    s(l, () => {
      n.value = l.modelValue, o.value.forEach((a) => {
        a.expanded = Array.isArray(n.value) ? n.value.some((t) => t === a.name) : a.name === n.value;
      });
    });
    function i(a) {
      if (!l.multiple)
        o.value.forEach((e) => {
          e.expanded = e.name === a ? !e.expanded : !1;
        });
      else {
        const e = o.value.findIndex(
          (c) => c.name === a
        );
        if (e < 0) return;
        o.value[e].expanded = !o.value[e].expanded;
      }
      const t = o.value.filter((e) => e.expanded).map((e) => e.name);
      n.value = l.multiple ? t : t[0] ?? null, p("update:modelValue", n.value);
    }
    return f(g, {
      accordionsList: o,
      handleChange: i,
      expandedAccordions: n
    }), (a, t) => (x(), v("div", {
      class: y(["puik-accordion-group", {
        "puik-accordion-group--contained": a.contained
      }])
    }, [
      h(a.$slots, "default")
    ], 2));
  }
});
export {
  V as default
};
