import { defineComponent as g, inject as S, computed as $, ref as c, createElementBlock as l, openBlock as r, normalizeClass as C, createElementVNode as i, withDirectives as w, createBlock as B, createCommentVNode as u, createVNode as N, unref as p, toDisplayString as _, renderSlot as A, vShow as E, nextTick as z } from "vue";
import { generateId as D } from "../../utils/rand.mjs";
import { PuikIcon as m } from "../../icon/index.mjs";
import { accordionGroupKey as V } from "./accordion-group.mjs";
const H = ["data-test", "aria-labelledby"], I = ["id", "aria-expanded", "disabled", "data-test", "aria-label"], K = { class: "puik-accordion__header__content" }, P = ["data-test"], j = ["data-test"], M = /* @__PURE__ */ g({
  name: "PuikAccordion",
  __name: "accordion",
  props: {
    name: { type: String },
    title: { type: String },
    subTitle: { type: String },
    icon: { type: String },
    disabled: { type: Boolean },
    borderNone: { type: Boolean },
    dataTest: { type: String }
  },
  emits: ["click"],
  setup(k, { emit: b }) {
    const v = b, t = `puik-accordion-${D()}`, a = k, { accordionsList: f, handleChange: y, expandedAccordions: n } = S(V), o = $(() => Array.isArray(n.value) ? n.value.some((e) => a.name === e) : a.name === n.value);
    f.value.push({ name: a.name, expanded: o.value });
    const d = c(null), h = c(null);
    function s() {
      y(a.name), v("click", a.name), z(() => {
        o.value && d.value && d.value.focus();
      });
    }
    function T(e) {
      (e.key === "Enter" || e.key === " ") && (e.preventDefault(), s());
    }
    return (e, G) => (r(), l("div", {
      class: C(["puik-accordion", {
        "puik-accordion--expanded": o.value,
        "puik-accordion--disabled": e.disabled,
        "puik-accordion--border-none": e.borderNone
      }]),
      "data-test": e.dataTest,
      role: "region",
      "aria-labelledby": `header-${t}`
    }, [
      i("button", {
        id: `header-${t}`,
        ref_key: "accordionHeader",
        ref: h,
        "aria-expanded": o.value,
        "aria-controls": t,
        class: "puik-accordion__header",
        disabled: e.disabled,
        "data-test": e.dataTest != null ? `button-${e.dataTest}` : void 0,
        role: "button",
        "aria-label": e.title,
        onClick: s,
        onKeydown: T
      }, [
        e.icon ? (r(), B(p(m), {
          key: 0,
          class: "puik-accordion__header__icon",
          icon: e.icon,
          "font-size": 24,
          "data-test": e.dataTest != null ? `icon-${e.dataTest}` : void 0
        }, null, 8, ["icon", "data-test"])) : u("", !0),
        i("div", K, [
          i("div", {
            class: "puik-accordion__header__content__title",
            "data-test": e.dataTest != null ? `title-${e.dataTest}` : void 0
          }, _(e.title), 9, P),
          e.subTitle ? (r(), l("div", {
            key: 0,
            class: "puik-accordion__header__content__sub-title",
            "data-test": e.dataTest != null ? `subTitle-${e.dataTest}` : void 0
          }, _(e.subTitle), 9, j)) : u("", !0)
        ]),
        N(p(m), {
          class: "puik-accordion__header__expand__icon",
          icon: "keyboard_arrow_down",
          "font-size": 24
        })
      ], 40, I),
      w(i("div", {
        id: t,
        ref_key: "accordionContent",
        ref: d,
        class: "puik-accordion__content",
        tabindex: "-1"
      }, [
        A(e.$slots, "default")
      ], 512), [
        [E, o.value]
      ])
    ], 10, H));
  }
});
export {
  M as default
};
