import { defineComponent as p, ref as _, computed as b, watch as v, createElementBlock as n, createCommentVNode as s, openBlock as r, createBlock as h, Fragment as k, renderList as f, createVNode as i, withCtx as g, createTextVNode as y, toDisplayString as c } from "vue";
import T from "../../link/src/link.vue2.mjs";
import l from "../../icon/src/icon.vue2.mjs";
const S = {
  key: 0,
  class: "puik-breadcrumb",
  role: "navigation"
}, B = ["data-test"], C = /* @__PURE__ */ p({
  name: "PuikBreadcrumb",
  __name: "breadcrumb",
  props: {
    items: { type: Array },
    itemsJson: { type: String },
    separatorIcon: { default: "keyboard_arrow_right", type: String },
    icon: { type: String }
  },
  setup(u) {
    const o = u, e = _([]), m = b(() => o.itemsJson ? JSON.parse(o.itemsJson) : o.items);
    return v(m, (a) => {
      e.value = a;
    }, { immediate: !0 }), (a, J) => e.value && e.value.length ? (r(), n("nav", S, [
      a.icon ? (r(), h(l, {
        key: 0,
        class: "puik-breadcrumb__home-icon",
        icon: a.icon,
        "font-size": 16
      }, null, 8, ["icon"])) : s("", !0),
      (r(!0), n(k, null, f(e.value.slice(0, e.value.length - 1), (t, d) => (r(), n("div", {
        key: `puik-breadcrumb-item-${d}`,
        class: "puik-breadcrumb__item"
      }, [
        i(T, {
          class: "puik-breadcrumb__item-link",
          to: t.to,
          href: t.href,
          target: t.target,
          "data-test": t.dataTest ? t.dataTest : void 0,
          size: "sm"
        }, {
          default: g(() => [
            y(c(t.label), 1)
          ]),
          _: 2
        }, 1032, ["to", "href", "target", "data-test"]),
        i(l, {
          class: "puik-breadcrumb__item-icon",
          icon: a.separatorIcon,
          "font-size": 16
        }, null, 8, ["icon"])
      ]))), 128)),
      e.value.length ? (r(), n("div", {
        key: 1,
        class: "puik-breadcrumb__item--last",
        "data-test": e.value[e.value.length - 1].dataTest ? e.value[e.value.length - 1].dataTest : void 0
      }, c(e.value[e.value.length - 1].label), 9, B)) : s("", !0)
    ])) : s("", !0);
  }
});
export {
  C as default
};
