import { defineComponent as f, ref as h, useSlots as y, watch as v, createElementBlock as d, openBlock as s, withDirectives as L, createElementVNode as T, unref as o, isRef as $, vModelCheckbox as g, toDisplayString as n, renderSlot as S, createTextVNode as V } from "vue";
import { useVModel as B } from "@vueuse/core";
import { generateId as C } from "../../utils/rand.mjs";
const I = ["data-test"], R = ["indeterminate", "disabled", "aria-checked", "aria-disabled", "aria-label", "aria-labelledby", "data-test"], w = ["id", "data-test"], D = ["id", "data-test"], A = /* @__PURE__ */ f({
  name: "PuikCheckbox",
  __name: "checkbox",
  props: {
    modelValue: { type: Boolean },
    label: { type: String },
    srLabel: { type: String },
    ariaLabel: { type: String },
    disabled: { type: Boolean },
    indeterminate: { type: Boolean },
    dataTest: { type: String }
  },
  emits: ["update:modelValue"],
  setup(b, { emit: u }) {
    const i = b, p = u, a = `puik-checkbox-${C()}`, r = h(), t = B(i, "modelValue", p), c = y();
    v(
      () => i.indeterminate,
      (e) => {
        var l;
        e && t.value === !0 && ((l = r.value) == null || l.click());
      }
    );
    const m = () => i.srLabel ? `label-sr-${a}` : `label-${a}`;
    return (e, l) => (s(), d("div", {
      class: "puik-checkbox",
      "data-test": e.dataTest
    }, [
      L(T("input", {
        id: a,
        ref_key: "checkboxInputRef",
        ref: r,
        "onUpdate:modelValue": l[0] || (l[0] = (k) => $(t) ? t.value = k : null),
        class: "puik-checkbox__input",
        type: "checkbox",
        indeterminate: e.indeterminate,
        disabled: e.disabled,
        "aria-checked": e.indeterminate ? "mixed" : o(t),
        "aria-disabled": e.disabled,
        "aria-label": e.ariaLabel ? e.ariaLabel : e.label ? e.label : e.srLabel ? e.srLabel : void 0,
        "aria-labelledby": m(),
        "data-test": e.dataTest != null ? `input-${e.dataTest}` : void 0
      }, null, 8, R), [
        [g, o(t)]
      ]),
      i.srLabel ? (s(), d("label", {
        id: `label-sr-${a}`,
        key: o(c).default ? "default" : "sr-only",
        for: a,
        class: "puik-sr-only",
        "data-test": e.dataTest != null ? `label-sr-${e.dataTest}` : void 0
      }, n(e.srLabel), 9, w)) : (s(), d("label", {
        key: 1,
        id: `label-${a}`,
        for: a,
        class: "puik-checkbox__label",
        "data-test": e.dataTest != null ? `label-${e.dataTest}` : void 0
      }, [
        S(e.$slots, "default", {}, () => [
          V(n(e.label), 1)
        ])
      ], 8, D))
    ], 8, I));
  }
});
export {
  A as default
};
