import { defineComponent as v, ref as d, watch as b, nextTick as h, createElementBlock as y, openBlock as n, normalizeClass as C, createBlock as r, createCommentVNode as P, createElementVNode as s, createVNode as w, unref as l, withCtx as B, toDisplayString as S, withKeys as u, withModifiers as c } from "vue";
import { PuikIcon as m } from "../../icon/index.mjs";
import { PuikTooltip as g } from "../../tooltip/index.mjs";
import { PuikChipSizeVariants as z } from "./chip.mjs";
import { isEllipsisActive as E } from "../../utils/isEllipsisActive.mjs";
import { PuikTooltipPositions as T } from "../../tooltip/src/tooltip.mjs";
const V = ["id"], _ = { class: "puik-chip__content" }, j = /* @__PURE__ */ v({
  name: "PuikChip",
  __name: "chip",
  props: {
    id: { type: String },
    content: { type: String },
    size: { default: z.Default, type: null },
    icon: { type: String },
    disabled: { type: Boolean, default: !1 },
    tooltipPosition: { default: T.Bottom, type: null }
  },
  emits: ["close"],
  setup($, { emit: f }) {
    const k = f, i = d(null), p = d(!1), t = () => {
      k("close");
    };
    return b(i, async () => {
      await h(), i != null && i.value && (p.value = E(i.value));
    }), (e, o) => (n(), y("div", {
      id: e.id,
      class: C([
        `puik-chip puik-chip--${e.size}`,
        { "puik-chip--disabled": e.disabled }
      ])
    }, [
      e.icon && e.icon != "" ? (n(), r(l(m), {
        key: 0,
        icon: e.icon,
        class: "puik-chip__icon"
      }, null, 8, ["icon"])) : P("", !0),
      s("div", _, [
        (n(), r(l(g), {
          key: e.content,
          "is-disabled": !p.value,
          position: e.tooltipPosition,
          description: e.content
        }, {
          default: B(() => [
            s("div", {
              ref_key: "chipContentElem",
              ref: i,
              class: "puik-chip__content__text--container"
            }, [
              s("p", null, S(e.content), 1)
            ], 512)
          ]),
          _: 1
        }, 8, ["is-disabled", "position", "description"]))
      ]),
      w(l(m), {
        icon: "close",
        class: "puik-chip__close",
        tabindex: "0",
        role: "button",
        "aria-disabled": e.disabled ? "true" : "false",
        onClick: o[0] || (o[0] = (a) => e.disabled ? "" : t()),
        onKeydown: [
          o[1] || (o[1] = u(c((a) => e.disabled ? "" : t(), ["prevent"]), ["enter"])),
          o[2] || (o[2] = u(c((a) => e.disabled ? "" : t(), ["prevent"]), ["space"]))
        ]
      }, null, 8, ["aria-disabled"])
    ], 10, V));
  }
});
export {
  j as default
};
