import { ExtractPropTypes } from 'vue';
export declare enum PuikConfigProviderLocale {
    En = "en",
    Fr = "fr"
}
export declare const configProviderProps: {
    locale: {
        type: () => PuikConfigProviderLocale;
        required: boolean;
        default: PuikConfigProviderLocale;
    };
};
export type ConfigProviderProps = ExtractPropTypes<typeof configProviderProps>;
