import { defineComponent as l, computed as o, createBlock as s, openBlock as p, resolveDynamicComponent as u, mergeProps as c, withCtx as d, createTextVNode as f, toDisplayString as m } from "vue";
const b = /* @__PURE__ */ l({
  name: "PuikIcon",
  __name: "icon",
  props: {
    icon: { type: String },
    nodeType: { default: "div", type: String },
    fontSize: { default: "1rem", type: [String, Number] },
    color: { default: "#00000", type: String },
    fill: { default: 1, type: Number },
    isDisabled: { type: Boolean },
    dataTest: { type: String },
    ariaLabel: { type: String }
  },
  setup(a) {
    const e = a, i = o(() => Number.isNaN(Number(e.fontSize)) ? e.fontSize : `${e.fontSize}px`), n = o(() => ({
      fontSize: i.value,
      color: e.color,
      "font-variation-settings": `'FILL' ${e.fill}`
    })), r = o(() => e.ariaLabel || `${e.icon} icon`);
    return (t, y) => (p(), s(u(t.nodeType), c({
      class: ["puik-icon", {
        "puik-icon--disabled": t.isDisabled
      }],
      style: n.value,
      "aria-label": r.value,
      role: "img"
    }, t.dataTest ? { "data-test": t.dataTest } : {}), {
      default: d(() => [
        f(m(t.icon), 1)
      ]),
      _: 1
    }, 16, ["style", "class", "aria-label"]));
  }
});
export {
  b as default
};
