import { defineComponent as l, createBlock as r, openBlock as u, unref as n, normalizeClass as _, withCtx as t, createVNode as i, renderSlot as o, Transition as m, normalizeStyle as p } from "vue";
import { Popover as f, PopoverButton as c, PopoverPanel as d } from "@headlessui/vue";
import { PuikMenuPositions as k, PuikMenuAligns as v } from "./menu.mjs";
const B = /* @__PURE__ */ l({
  name: "PuikMenu",
  __name: "menu",
  props: {
    maxHeight: { default: "none", type: String },
    width: { default: "200px", type: String },
    align: { default: v.Left, type: null },
    position: { default: k.Bottom, type: null }
  },
  setup(g) {
    return (e, h) => (u(), r(n(f), {
      class: _(["puik-menu", [`puik-menu--position-${e.position}`, `puik-menu--align-${e.align}`]]),
      as: "div"
    }, {
      default: t(({ open: a }) => [
        i(n(c), {
          class: "puik-menu__trigger",
          as: "template"
        }, {
          default: t(() => [
            o(e.$slots, "trigger", { open: a })
          ]),
          _: 2
        }, 1024),
        i(m, {
          "enter-active-class": "puik-menu__transition__enter--active",
          "enter-from-class": "puik-menu__transition__enter--from",
          "enter-to-class": "puik-menu__transition__enter--to",
          "leave-active-class": "puik-menu__transition__leave--active",
          "leave-from-class": "puik-menu__transition__leave--from",
          "leave-to-class": "puik-menu__transition__leave--to"
        }, {
          default: t(() => [
            i(n(d), {
              class: "puik-menu__content",
              style: p({ maxHeight: e.maxHeight, width: e.width })
            }, {
              default: t(({ close: s }) => [
                o(e.$slots, "default", {
                  close: s,
                  open: a
                })
              ]),
              _: 2
            }, 1032, ["style"])
          ]),
          _: 2
        }, 1024)
      ]),
      _: 3
    }, 8, ["class"]));
  }
});
export {
  B as default
};
