import { default as Modal } from './modal.vue';
export declare const DESTRUCTIVE_ICON_NAME = "warning";
export declare enum PuikModalVariants {
    Feedback = "feedback",
    Destructive = "destructive",
    Dialog = "dialog"
}
export declare enum PuikModalSizes {
    Small = "small",
    Medium = "medium",
    Large = "large"
}
export interface ModalProps {
    title?: string;
    titleIcon?: string;
    mainButtonText?: string;
    secondButtonText?: string;
    sideButtonText?: string;
    isOpen?: boolean;
    isMainButtonDisabled?: boolean;
    variant?: `${PuikModalVariants}`;
    size?: `${PuikModalSizes}`;
    dataTest?: string;
}
export declare const modalEmits: string[];
export type ModalInstance = InstanceType<typeof Modal>;
