import { defineComponent as w, ref as p, watchEffect as T, onMounted as V, onBeforeUnmount as z, createBlock as f, openBlock as i, Teleport as P, createElementBlock as v, createCommentVNode as u, createElementVNode as m, normalizeClass as b, Fragment as D, renderList as M, unref as d, toDisplayString as y, withCtx as h, createTextVNode as A, createVNode as j } from "vue";
import { PuikButton as B } from "../../button/index.mjs";
import { PuikIcon as N } from "../../icon/index.mjs";
import { PuikNotificationBarVariants as F } from "./notification-bar.mjs";
const O = { class: "notification-bar-item__content" }, S = { class: "notification-bar-item__text" }, U = 5e3, q = 800, a = "notification-bar__item", Q = /* @__PURE__ */ w({
  name: "PuikNotificationBar",
  __name: "notification-bar",
  props: {
    teleport: { type: Object },
    variant: { default: F.Blue, type: null },
    closable: { type: Boolean, default: !0 },
    messages: { type: Array }
  },
  emits: ["close"],
  setup(g, { emit: E }) {
    const r = g, L = E, s = p([]), l = p(), c = p(null), $ = () => {
      L("close");
    }, _ = () => {
      c.value && (clearInterval(c.value), c.value = null);
    }, k = (t) => {
      t != null && t.classList && (t.classList.remove(`${a}--invisible`), t.classList.remove(`${a}--enter`));
    }, C = (t) => {
      t.classList.add(`${a}--leave`), setTimeout(() => {
        t.classList.add(`${a}--invisible`), t.classList.add(`${a}--enter`), t.classList.remove(`${a}--leave`);
      }, q);
    }, I = () => {
      _();
      const t = [...s.value], o = t.length;
      if (o === 1) return;
      let e = 0;
      c.value = setInterval(() => {
        const n = o - 1 >= e + 1 ? e + 1 : 0;
        C(t[e]), k(t[n]), e = n;
      }, U);
    };
    return T(() => {
      var t, o;
      ((t = r.messages) == null ? void 0 : t.length) > 1 ? I() : ((o = r.messages) == null ? void 0 : o.length) <= 1 && s.value[0] && (_(), k(s.value[0]));
    }), V(() => {
      if (r.teleport && r.teleport.prepend === !0 && l.value) {
        const t = l.value.parentNode;
        t && t.prepend(l.value);
      }
    }), z(() => {
      _();
    }), (t, o) => (i(), f(P, {
      disabled: t.teleport === void 0,
      to: t.teleport ? t.teleport.to : "body"
    }, [
      t.messages && t.messages.length ? (i(), v("div", {
        key: 0,
        ref_key: "domNotificationBar",
        ref: l,
        class: "notification-bar"
      }, [
        m("aside", {
          class: b(["notification-bar__container", [
            `notification-bar__container--${t.variant}`,
            { "notification-bar__container--closable": t.closable }
          ]])
        }, [
          (i(!0), v(D, null, M(t.messages, (e, n) => (i(), v("div", {
            key: n,
            ref_for: !0,
            ref_key: "domMessages",
            ref: s,
            class: b(["notification-bar__item", {
              "notification-bar__item--invisible": n !== 0,
              "notification-bar__item--enter": n !== 0
            }])
          }, [
            e.icon ? (i(), f(d(N), {
              key: 0,
              icon: e.icon,
              class: "notification-bar-item__icon",
              "font-size": "1.5rem"
            }, null, 8, ["icon"])) : u("", !0),
            m("div", O, [
              m("p", S, y(e.text), 1),
              e.link ? (i(), f(d(B), {
                key: 0,
                size: "sm",
                class: "notification-bar-item__link",
                variant: "primary",
                "right-icon": "arrow_forward",
                href: e.link.url
              }, {
                default: h(() => [
                  A(y(e.link.text), 1)
                ]),
                _: 2
              }, 1032, ["href"])) : u("", !0)
            ])
          ], 2))), 128)),
          m("div", {
            class: b([
              "notification-bar-close__container",
              `notification-bar-close__container--${t.variant}`
            ])
          }, [
            t.closable ? (i(), f(d(B), {
              key: 0,
              class: "notification-bar__close-button",
              variant: "text",
              onClick: $
            }, {
              default: h(() => [
                j(d(N), {
                  class: "notification-bar-close-button__icon",
                  icon: "close",
                  "font-size": "1.5rem"
                })
              ]),
              _: 1
            })) : u("", !0)
          ], 2)
        ], 2)
      ], 512)) : u("", !0)
    ], 8, ["disabled", "to"]));
  }
});
export {
  Q as default
};
