import { defineComponent as C, computed as y, createElementBlock as l, openBlock as s, Fragment as c, createCommentVNode as _, createElementVNode as u, toDisplayString as m, createVNode as v, unref as n, withCtx as b, renderList as $ } from "vue";
import { PuikButton as k } from "../../button/index.mjs";
import { useLocale as B } from "../../locale/hooks/use-locale.mjs";
const V = ["data-test"], h = { class: "puik-pagination__content" }, N = {
  key: 0,
  class: "puik-pagination__pager"
}, x = { class: "puik-pagination__pager-item" }, S = {
  key: 0,
  class: "puik-pagination__pager-item",
  "aria-hidden": "true"
}, w = { class: "puik-pagination__pager-button__content" }, D = {
  key: 1,
  class: "puik-pagination__pager-item",
  "aria-hidden": "true"
}, E = {
  key: 2,
  class: "puik-pagination__pager-item"
}, L = { class: "puik-pagination__pager-button__content" }, M = /* @__PURE__ */ C({
  name: "PuikPaginationMedium",
  __name: "pagination-medium",
  props: {
    modelValue: { default: 1, type: Number },
    id: { type: String },
    disabled: { type: Boolean },
    totalItem: { type: Number },
    maxPage: { type: Number },
    label: { type: String },
    dataTest: { type: String },
    displayResults: { type: Boolean }
  },
  emits: ["update:modelValue"],
  setup(P, { emit: f }) {
    const p = P, T = f, { t: r } = B(), e = y({
      get: () => p.modelValue,
      set: (a) => T("update:modelValue", a)
    }), g = y(() => {
      if (p.maxPage <= 2) return [];
      const a = e.value <= 3 ? 4 : 5, t = 2, i = [];
      let o;
      e.value - t <= 1 ? o = 2 : e.value + t > p.maxPage ? p.maxPage - a <= 1 ? o = 2 : o = p.maxPage - a + 1 : o = e.value - t, i.push(o);
      for (let d = o + 1; d < p.maxPage && d < o + a; d++)
        i.push(d);
      return i;
    });
    return (a, t) => (s(), l(c, null, [
      a.displayResults ? (s(), l("span", {
        key: 0,
        class: "puik-pagination__label",
        "data-test": a.dataTest != null ? `label-${a.dataTest}` : void 0
      }, m(a.label), 9, V)) : _("", !0),
      u("div", h, [
        v(n(k), {
          "aria-label": n(r)("puik.pagination.previous", { page: e.value - 1 }),
          disabled: e.value <= 1 || a.disabled,
          class: "puik-pagination__previous-button puik-pagination__button",
          "left-icon": "keyboard_arrow_left",
          variant: "secondary",
          "data-test": a.dataTest != null ? `previousButton-${a.dataTest}` : void 0,
          onClick: t[0] || (t[0] = (i) => e.value -= 1)
        }, null, 8, ["aria-label", "disabled", "data-test"]),
        a.disabled ? _("", !0) : (s(), l("ul", N, [
          u("li", x, [
            v(n(k), {
              "aria-current": e.value === 1,
              "aria-label": n(r)("puik.pagination.goTo", { page: 1 }),
              variant: e.value === 1 ? "secondary" : "text",
              class: "puik-pagination__button puik-pagination__pager-button",
              onClick: t[1] || (t[1] = (i) => e.value = 1)
            }, {
              default: b(() => t[4] || (t[4] = [
                u("span", { class: "puik-pagination__pager-button__content" }, "1", -1)
              ])),
              _: 1,
              __: [4]
            }, 8, ["aria-current", "aria-label", "variant"])
          ]),
          g.value[0] > 2 ? (s(), l("li", S, t[5] || (t[5] = [
            u("span", { class: "puik-pagination__pager-separator" }, " … ", -1)
          ]))) : _("", !0),
          (s(!0), l(c, null, $(g.value, (i, o) => (s(), l("li", {
            key: o,
            class: "puik-pagination__pager-item"
          }, [
            v(n(k), {
              "aria-label": n(r)("puik.pagination.goTo", { page: i }),
              variant: e.value === i ? "secondary" : "text",
              "aria-current": e.value === i,
              class: "puik-pagination__button puik-pagination__pager-button",
              onClick: (d) => e.value = i
            }, {
              default: b(() => [
                u("span", w, m(i), 1)
              ]),
              _: 2
            }, 1032, ["aria-label", "variant", "aria-current", "onClick"])
          ]))), 128)),
          g.value[g.value.length - 1] !== a.maxPage - 1 && g.value.length > 0 ? (s(), l("li", D, t[6] || (t[6] = [
            u("span", { class: "puik-pagination__pager-separator" }, " … ", -1)
          ]))) : _("", !0),
          a.maxPage >= 2 ? (s(), l("li", E, [
            v(n(k), {
              "aria-current": e.value === a.maxPage,
              "aria-label": n(r)("puik.pagination.goTo", { page: a.maxPage }),
              variant: e.value === a.maxPage ? "secondary" : "text",
              class: "puik-pagination__button puik-pagination__pager-button",
              onClick: t[2] || (t[2] = (i) => e.value = a.maxPage)
            }, {
              default: b(() => [
                u("span", L, m(a.maxPage), 1)
              ]),
              _: 1
            }, 8, ["aria-current", "aria-label", "variant"])
          ])) : _("", !0)
        ])),
        v(n(k), {
          "aria-label": n(r)("puik.pagination.next", { page: e.value + 1 }),
          disabled: e.value >= a.maxPage || a.disabled,
          class: "puik-pagination__button puik-pagination__next-button",
          "right-icon": "keyboard_arrow_right",
          variant: "secondary",
          "data-test": a.dataTest != null ? `nextButton-${a.dataTest}` : void 0,
          onClick: t[3] || (t[3] = (i) => e.value += 1)
        }, null, 8, ["aria-label", "disabled", "data-test"])
      ])
    ], 64));
  }
});
export {
  M as default
};
