import { defineComponent as g, computed as v, createElementBlock as l, openBlock as n, Fragment as k, createCommentVNode as y, createVNode as s, toDisplayString as f, unref as i } from "vue";
import { PuikButton as d } from "../../button/index.mjs";
import { useLocale as c } from "../../locale/hooks/use-locale.mjs";
const B = ["data-test"], P = /* @__PURE__ */ g({
  name: "PuikPaginationSmall",
  __name: "pagination-small",
  props: {
    modelValue: { default: 1, type: Number },
    id: { type: String },
    disabled: { type: Boolean },
    maxPage: { type: Number },
    label: { type: String },
    dataTest: { type: String },
    displayResults: { type: Boolean }
  },
  emits: ["update:modelValue"],
  setup(u, { emit: p }) {
    const r = u, m = p, { t: o } = c(), e = v({
      get: () => r.modelValue,
      set: (a) => m("update:modelValue", a)
    });
    return (a, t) => (n(), l(k, null, [
      a.displayResults ? (n(), l("span", {
        key: 0,
        class: "puik-pagination__label",
        "data-test": a.dataTest != null ? `label-${a.dataTest}` : void 0
      }, f(a.label), 9, B)) : y("", !0),
      s(i(d), {
        "aria-label": i(o)("puik.pagination.previous", { page: e.value - 1 }),
        disabled: e.value <= 1 || a.disabled,
        "data-test": a.dataTest != null ? `previousButton-${a.dataTest}` : void 0,
        class: "puik-pagination__previous-button puik-pagination__button",
        "left-icon": "keyboard_arrow_left",
        variant: "secondary",
        onClick: t[0] || (t[0] = (b) => e.value -= 1)
      }, null, 8, ["aria-label", "disabled", "data-test"]),
      s(i(d), {
        "aria-label": i(o)("puik.pagination.next", { page: e.value + 1 }),
        disabled: e.value >= a.maxPage || a.disabled,
        "data-test": a.dataTest != null ? `nextButton-${a.dataTest}` : void 0,
        class: "puik-pagination__button puik-pagination__next-button",
        "right-icon": "keyboard_arrow_right",
        variant: "secondary",
        onClick: t[1] || (t[1] = (b) => e.value += 1)
      }, null, 8, ["aria-label", "disabled", "data-test"])
    ], 64));
  }
});
export {
  P as default
};
