import { defineComponent as b, inject as h, computed as s, createElementBlock as o, openBlock as d, createVNode as _, createElementVNode as p, unref as C, withCtx as S, createCommentVNode as g, Fragment as y, createTextVNode as $, toDisplayString as N, renderSlot as u } from "vue";
import { PuikButton as V } from "../../button/index.mjs";
import { progressStepperKey as B } from "./progress-stepper.mjs";
const I = ["data-test"], x = ["data-test"], P = ["data-test"], D = /* @__PURE__ */ b({
  name: "PuikProgressStepperStep",
  __name: "progress-stepper-step",
  props: {
    step: { type: [String, Number] },
    dataTest: { type: String }
  },
  emits: ["click"],
  setup(l, { emit: c }) {
    var i;
    const a = l, v = c, t = h(B, null);
    (i = t == null ? void 0 : t.steps) == null || i.value.push(a.step);
    const m = s(() => a.step === (t == null ? void 0 : t.currentStep.value)), n = s(() => t ? t.steps.value.lastIndexOf(a.step) : -1), f = s(() => t ? n.value > t.currentStepIndex.value : !0), r = s(() => t ? n.value < t.currentStepIndex.value : !0), k = s(() => r.value ? "success" : "primary"), T = () => {
      t == null || t.handleClickStep(a.step), v("click", a.step);
    };
    return (e, E) => (d(), o("div", {
      class: "puik-progress-stepper-step",
      "data-test": e.dataTest
    }, [
      _(C(V), {
        "aria-current": m.value ? "step" : void 0,
        "aria-label": `${e.step}`,
        disabled: f.value,
        "left-icon": r.value ? "check" : void 0,
        variant: k.value,
        "aria-live": "polite",
        class: "puik-progress-stepper-step__button",
        size: "sm",
        "data-test": e.dataTest != null ? `stepButton-${e.dataTest}` : void 0,
        onClick: T
      }, {
        default: S(() => [
          r.value ? g("", !0) : (d(), o(y, { key: 0 }, [
            $(N(e.step), 1)
          ], 64))
        ]),
        _: 1
      }, 8, ["aria-current", "aria-label", "disabled", "left-icon", "variant", "data-test"]),
      p("span", {
        class: "puik-progress-stepper-step__text",
        "data-test": e.dataTest != null ? `text-${e.dataTest}` : void 0
      }, [
        u(e.$slots, "text")
      ], 8, x),
      p("span", {
        class: "puik-progress-stepper-step__additional-text",
        "data-test": e.dataTest != null ? `additionalText-${e.dataTest}` : void 0
      }, [
        u(e.$slots, "additional-text")
      ], 8, P)
    ], 8, I));
  }
});
export {
  D as default
};
