import { defineComponent as g, ref as s, createElementBlock as l, openBlock as d, withDirectives as k, createCommentVNode as t, createElementVNode as c, mergeProps as D, isRef as S, unref as o, vModelRadio as $, renderSlot as V, createTextVNode as h, toDisplayString as n } from "vue";
import { useVModel as T } from "@vueuse/core";
import { generateId as B } from "../../utils/rand.mjs";
const N = ["data-test"], O = ["id", "aria-label", "value", "checked", "disabled", "name", "aria-disabled", "data-test"], R = ["id", "for", "data-test"], F = ["id"], E = /* @__PURE__ */ g({
  name: "PuikRadio",
  __name: "radio",
  props: {
    id: { type: String },
    name: { type: String },
    label: { type: String },
    disabled: { type: Boolean },
    value: { type: [Boolean, String, Number] },
    modelValue: { type: [Boolean, String, Number] },
    dataTest: { type: String },
    ariaLabel: { type: String },
    ariaDescribedby: { type: String },
    srDescriptionOnly: { type: String }
  },
  emits: ["update:modelValue"],
  setup(u, { emit: p }) {
    const b = u, m = p, a = s(`puik-radio-${B()}`), y = s(!1), v = () => y.value = !0, i = T(b, "modelValue", m);
    return (e, r) => (d(), l("div", {
      class: "puik-radio",
      "data-test": e.dataTest
    }, [
      k(c("input", D({
        id: e.id ?? a.value,
        ref: "radioInputRef",
        "onUpdate:modelValue": r[0] || (r[0] = (f) => S(i) ? i.value = f : null)
      }, {
        ...e.label && e.label.trim() && { "aria-labelledby": `label-${e.id ?? a.value}` },
        ...e.srDescriptionOnly && e.srDescriptionOnly.trim() && { "aria-describedby": `sr-description-only-${e.id ?? a.value}` } || e.ariaDescribedby && e.ariaDescribedby.trim() && { "aria-describedby": e.ariaDescribedby }
      }, {
        "aria-label": e.ariaLabel || e.label || "undefined",
        value: e.value,
        checked: o(i) === e.value,
        disabled: e.disabled,
        class: "puik-radio__input",
        type: "radio",
        name: e.name,
        "aria-disabled": e.disabled,
        "data-test": e.dataTest != null ? `input-${e.dataTest}` : void 0,
        onFocus: v
      }), null, 16, O), [
        [$, o(i)]
      ]),
      e.$slots.default || e.label ? (d(), l("label", {
        key: 0,
        id: `label-${e.id ?? a.value}`,
        for: e.id ?? a.value,
        class: "puik-radio__label",
        "data-test": e.dataTest != null ? `label-${e.dataTest}` : void 0
      }, [
        V(e.$slots, "default", {}, () => [
          h(n(e.label), 1)
        ])
      ], 8, R)) : t("", !0),
      e.srDescriptionOnly ? (d(), l("span", {
        key: 1,
        id: `sr-description-only-${e.id ?? a.value}`,
        class: "puik-sr-only"
      }, n(e.srDescriptionOnly), 9, F)) : t("", !0)
    ], 8, N));
  }
});
export {
  E as default
};
