import { defineComponent as _, computed as u, createElementBlock as i, openBlock as n, createCommentVNode as g, createBlock as R, unref as o, toDisplayString as p, Fragment as h, renderList as k, createVNode as T } from "vue";
import { PuikRatingCardVariants as c } from "./rating-card.mjs";
import { PuikIcon as f } from "../../icon/index.mjs";
import { generateId as S } from "../../utils/rand.mjs";
const b = ["id", "data-test", "ariaLabel"], N = {
  key: 0,
  class: "puik-rating-card__average-value"
}, w = {
  key: 1,
  class: "puik-rating-card__stars-container"
}, A = {
  key: 3,
  class: "puik-rating-card__total-ratings"
}, B = /* @__PURE__ */ _({
  name: "PuikRatingCard",
  __name: "rating-card",
  props: {
    id: { default: `puik-rating-card-${S()}`, type: String },
    variant: { default: c.Extended, type: null },
    totalRatings: { type: [Array, String] },
    showTotalRatings: { type: [Boolean, String], default: !0 },
    dataTest: { type: String },
    ariaLabel: { type: String }
  },
  setup(y) {
    const a = y, m = u(() => ({
      showTotalRatings: a.showTotalRatings === "true" ? !0 : a.showTotalRatings === "false" ? !1 : a.showTotalRatings
    })), v = (t) => {
      try {
        const e = JSON.parse(t);
        return Array.isArray(e) && e.every((r) => typeof r == "number");
      } catch {
        return !1;
      }
    }, s = u(() => typeof a.totalRatings == "string" && v(a.totalRatings) ? JSON.parse(a.totalRatings) : typeof a.totalRatings == "string" ? a.totalRatings.split(",").map((t) => {
      const e = Number(t.trim());
      return isNaN(e) ? null : e;
    }).filter((t) => t !== null) : a.totalRatings), l = u(() => {
      const t = s.value.reduce((e, r) => e + r, 0);
      return s.value.length ? t / s.value.length : 0;
    }), d = (t) => {
      const e = t;
      return l.value >= e ? { icon: "star", fill: 1 } : l.value >= e - 0.5 ? { icon: "star_half", fill: 1 } : { icon: "star", fill: 0 };
    };
    return (t, e) => (n(), i("div", {
      id: a.id,
      class: "puik-rating-card",
      "data-test": a.dataTest,
      ariaLabel: a.ariaLabel
    }, [
      a.variant === o(c).Compact ? (n(), i("span", N, p(l.value.toFixed(1)), 1)) : g("", !0),
      a.variant === o(c).Extended ? (n(), i("div", w, [
        (n(), i(h, null, k(5, (r) => T(o(f), {
          key: r,
          class: "puik-rating-card__star",
          icon: d(r).icon,
          "font-size": "20px",
          color: "#FFA000",
          fill: d(r).fill,
          "node-type": "span",
          "data-test": t.dataTest != null ? `${t.dataTest}-star-icon-${r}` : void 0
        }, null, 8, ["icon", "fill", "data-test"])), 64))
      ])) : (n(), R(o(f), {
        key: 2,
        class: "puik-rating-card__star",
        icon: "star",
        "font-size": "16px",
        color: "#FFA000",
        "node-type": "span",
        "data-test": t.dataTest != null ? `${t.dataTest}-star-icon` : void 0
      }, null, 8, ["data-test"])),
      m.value.showTotalRatings && t.totalRatings.length ? (n(), i("span", A, " (" + p(s.value.length) + ") ", 1)) : g("", !0)
    ], 8, b));
  }
});
export {
  B as default
};
