import { defineComponent as m, inject as l, provide as c, computed as f, createElementBlock as k, openBlock as r, normalizeClass as b, createBlock as n, unref as t, withCtx as a, renderSlot as s, createVNode as o } from "vue";
import { Menu as g, MenuButton as v, MenuItems as _ } from "@headlessui/vue";
import { generateId as y } from "../../utils/rand.mjs";
import { PuikAccordion as B } from "../../accordion/index.mjs";
import { PuikButton as S } from "../../button/index.mjs";
import { PuikIcon as T } from "../../icon/index.mjs";
import { sidebarKey as I, groupItemKey as $ } from "./sidebar.mjs";
const M = ["data-test"], w = /* @__PURE__ */ m({
  name: "PuikSidebarGroupItem",
  __name: "sidebar-group-item",
  props: {
    title: { type: String },
    icon: { type: String },
    name: { type: String },
    active: { type: Boolean },
    dataTest: { type: String }
  },
  setup(d) {
    const u = d.name ?? `sidebar-item-${y()}`, i = l(I, null);
    c($, !0);
    const p = f(() => i == null ? void 0 : i.extended.value);
    return (e, h) => (r(), k("div", {
      class: b(["puik-sidebar-group-item", {
        "puik-sidebar-group-item--active": e.active
      }]),
      "data-test": e.dataTest
    }, [
      p.value ? (r(), n(t(B), {
        key: 0,
        title: e.title,
        name: t(u),
        icon: e.icon,
        class: "puik-sidebar-group-item__accordion",
        "data-test": e.dataTest != null ? `sidebarAccordion-${e.dataTest}` : void 0
      }, {
        default: a(() => [
          s(e.$slots, "default")
        ]),
        _: 3
      }, 8, ["title", "name", "icon", "data-test"])) : (r(), n(t(g), { key: 1 }, {
        default: a(() => [
          o(t(v), {
            as: "template",
            class: "puik-sidebar-group-item__menu-button"
          }, {
            default: a(() => [
              o(t(S), {
                variant: "text",
                fluid: "",
                class: "puik-sidebar-group-item__collapsed-button",
                "data-test": e.dataTest != null ? `sidebarMenuButton-${e.dataTest}` : void 0
              }, {
                default: a(() => [
                  o(t(T), {
                    icon: e.icon,
                    "font-size": "1.25rem"
                  }, null, 8, ["icon"])
                ]),
                _: 1
              }, 8, ["data-test"])
            ]),
            _: 1
          }),
          o(t(_), { class: "puik-sidebar-group-item__menu-content" }, {
            default: a(() => [
              s(e.$slots, "default")
            ]),
            _: 3
          })
        ]),
        _: 3
      }))
    ], 10, M));
  }
});
export {
  w as default
};
