import { defineComponent as v, inject as r, computed as d, createBlock as n, openBlock as a, unref as i, normalizeClass as o, withCtx as s, createVNode as b, createTextVNode as k, toDisplayString as l, createElementBlock as y, createCommentVNode as T } from "vue";
import { MenuItem as h } from "@headlessui/vue";
import { PuikButton as u } from "../../button/index.mjs";
import { sidebarKey as g, groupItemKey as S } from "./sidebar.mjs";
const B = ["data-test"], M = /* @__PURE__ */ v({
  name: "PuikSidebarItem",
  __name: "sidebar-item",
  props: {
    title: { type: String },
    href: { type: String },
    to: { type: null },
    icon: { type: String },
    active: { type: Boolean },
    dataTest: { type: String }
  },
  setup(I) {
    const t = r(g, null), m = r(S, !1), p = d(() => t == null ? void 0 : t.extended.value), f = d(
      () => !(t != null && t.extended.value) && m
    );
    return (e, C) => f.value ? (a(), n(i(h), {
      key: 0,
      class: o(["puik-sidebar-item", { "puik-sidebar-item--active": e.active }]),
      "data-test": e.dataTest
    }, {
      default: s(({ active: c }) => [
        b(i(u), {
          "aria-label": e.title,
          class: o([{ "puik-sidebar-item--focus": c }, "puik-sidebar-item__button"]),
          to: e.to,
          href: e.href,
          fluid: "",
          variant: "text",
          "data-test": e.dataTest != null ? `menubuttonTitle-${e.dataTest}` : void 0
        }, {
          default: s(() => [
            k(l(e.title), 1)
          ]),
          _: 2
        }, 1032, ["aria-label", "class", "to", "href", "data-test"])
      ]),
      _: 1
    }, 8, ["class", "data-test"])) : (a(), n(i(u), {
      key: 1,
      class: o(["puik-sidebar-item puik-sidebar-item__button", { "puik-sidebar-item--active": e.active }]),
      "aria-label": e.title,
      "left-icon": e.icon,
      to: e.to,
      href: e.href,
      fluid: "",
      variant: "text",
      "data-test": e.dataTest != null ? `buttonTitle-${e.dataTest}` : void 0
    }, {
      default: s(() => [
        p.value ? (a(), y("span", {
          key: 0,
          "data-test": e.dataTest != null ? `title-${e.dataTest}` : void 0
        }, l(e.title), 9, B)) : T("", !0)
      ]),
      _: 1
    }, 8, ["class", "aria-label", "left-icon", "to", "href", "data-test"]));
  }
});
export {
  M as default
};
