import { defineComponent as $, ref as _, computed as b, watch as m, provide as L, createElementBlock as n, openBlock as t, createVNode as l, createCommentVNode as v, Transition as g, withCtx as k, normalizeClass as h, unref as s, renderSlot as E } from "vue";
import { useLocale as N } from "../../locale/hooks/use-locale.mjs";
import { PuikButton as f } from "../../button/index.mjs";
import { PuikAccordionGroup as P } from "../../accordion/index.mjs";
import { sidebarKey as S } from "./sidebar.mjs";
const V = { class: "puik-sidebar__container" }, w = {
  key: 0,
  class: "puik-sidebar__header"
}, z = {
  key: 1,
  class: "puik-sidebar__header puik-sidebar__header--mobile"
}, j = /* @__PURE__ */ $({
  name: "PuikSidebar",
  __name: "sidebar",
  props: {
    expanded: { type: Boolean },
    openAccordion: { type: String },
    mobile: { type: Boolean }
  },
  emits: ["update:expanded", "update:openAccordion"],
  setup(x, { emit: A }) {
    const u = A, i = x, { t: c } = N(), a = _(i.expanded), d = _(i.openAccordion), y = b(
      () => a.value ? "first_page" : "last_page"
    );
    function p(e) {
      a.value = e, u("update:expanded", e);
    }
    function B(e) {
      d.value = e, u("update:openAccordion", e);
    }
    m(
      () => i.expanded,
      () => {
        a.value = i.expanded;
      }
    ), m(
      () => i.openAccordion,
      () => {
        d.value = i.openAccordion;
      }
    );
    const C = b(() => c(
      `puik.sidebar.expandButtonLabel.${a.value ? "collapsed" : "expanded"}`
    ));
    return L(S, {
      extended: a
    }), (e, o) => (t(), n("div", V, [
      l(g, {
        "enter-active-class": "puik-sidebar__transition__enter--active",
        "enter-from-class": "puik-sidebar__transition__enter--from",
        "enter-to-class": "puik-sidebar__transition__enter--to",
        "leave-active-class": "puik-sidebar__transition__leave--active",
        "leave-from-class": "puik-sidebar__transition__leave--from",
        "leave-to-class": "puik-sidebar__transition__leave--to"
      }, {
        default: k(() => [
          !e.mobile || a.value ? (t(), n("nav", {
            key: 0,
            class: h(["puik-sidebar", {
              "puik-sidebar--mobile": !a.value && e.mobile,
              "puik-sidebar--collapsed": !a.value
            }])
          }, [
            e.mobile ? (t(), n("div", z, [
              l(s(f), {
                variant: "text",
                "left-icon": "close",
                "aria-label": s(c)("puik.sidebar.expandButtonLabel.close"),
                onClick: o[1] || (o[1] = (r) => p(!1))
              }, null, 8, ["aria-label"])
            ])) : (t(), n("div", w, [
              l(s(f), {
                class: "puik-sidebar__header__button",
                variant: "text",
                "left-icon": y.value,
                "aria-label": C.value,
                onClick: o[0] || (o[0] = (r) => p(!a.value))
              }, null, 8, ["left-icon", "aria-label"])
            ])),
            l(s(P), {
              contained: "",
              class: "puik-sidebar__content",
              "model-value": d.value,
              "onUpdate:modelValue": o[2] || (o[2] = (r) => B(r))
            }, {
              default: k(() => [
                E(e.$slots, "default")
              ]),
              _: 3
            }, 8, ["model-value"])
          ], 2)) : v("", !0)
        ]),
        _: 3
      }),
      e.mobile && a.value ? (t(), n("div", {
        key: 0,
        class: "puik-sidebar__backdrop",
        "aria-hidden": "true",
        onClick: o[3] || (o[3] = (r) => p(!1))
      })) : v("", !0)
    ]));
  }
});
export {
  j as default
};
