import { defineComponent as n, createBlock as o, openBlock as t, unref as r, normalizeProps as p, guardReactiveProps as s, withCtx as l, renderSlot as u, Teleport as c, createVNode as d, mergeProps as k } from "vue";
import { PuikSnackbarPositionsY as f, PuikSnackbarPositionsX as m, PuikSnackbarSwipeDirections as b } from "./snackbar-provider.mjs";
import { ToastProvider as P, ToastViewport as w } from "radix-vue";
const g = /* @__PURE__ */ n({
  name: "PuikSnackbarProvider",
  __name: "snackbar-provider",
  props: {
    label: { default: "Notification", type: String },
    duration: { default: 5e3, type: Number },
    swipeDirection: { default: b.Right, type: null },
    swipeThreshold: { default: 50, type: Number },
    positionX: { default: m.Center, type: null },
    positionY: { default: f.Down, type: null }
  },
  setup(i) {
    const a = i;
    return (e, v) => (t(), o(r(P), p(s(a)), {
      default: l(() => [
        u(e.$slots, "default"),
        (t(), o(c, { to: "body" }, [
          d(r(w), k(e.$attrs, {
            class: [
              "puik-snackbar-viewport",
              `puik-snackbar-viewport--${e.positionX}`,
              `puik-snackbar-viewport--${e.positionY}`
            ]
          }), null, 16, ["class"])
        ]))
      ]),
      _: 3
    }, 16));
  }
});
export {
  g as default
};
