import { defineComponent as o, createElementBlock as i, openBlock as n, normalizeClass as a, createElementVNode as t, createCommentVNode as l, toDisplayString as s } from "vue";
import { PuikSpinnerLoaderPositions as p, PuikSpinnerLoaderColors as d, PuikSpinnerLoaderSizes as u } from "./spinner-loader.mjs";
const m = ["data-test"], k = {
  key: 0,
  class: "puik-spinner-loader__label"
}, S = /* @__PURE__ */ o({
  name: "PuikSpinnerLoader",
  __name: "spinner-loader",
  props: {
    size: { default: u.Medium, type: null },
    color: { default: d.Primary, type: null },
    position: { default: p.Bottom, type: null },
    label: { type: String },
    dataTest: { default: "spinner-loader", type: String }
  },
  setup(c) {
    return (e, r) => (n(), i("div", {
      class: a([
        "puik-spinner-loader",
        `puik-spinner-loader--${e.size}`,
        `puik-spinner-loader--${e.color}`,
        { "puik-spinner-loader--right": e.position === "right" }
      ]),
      "aria-live": "polite",
      role: "status",
      "data-test": e.dataTest
    }, [
      r[0] || (r[0] = t("div", {
        class: "puik-spinner-loader__spinner",
        "aria-hidden": "true",
        "data-chromatic": "ignore"
      }, null, -1)),
      e.label ? (n(), i("span", k, s(e.label), 1)) : l("", !0)
    ], 10, m));
  }
});
export {
  S as default
};
