import { TableProps, sortOption } from './table';
import { searchOption } from './table-search-input';
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: Partial<Record<`header-${string}`, (_: {
        header: import('@prestashopcorp/puik-components/table').PuikTableHeader;
        index: number;
    }) => any>> & Partial<Record<`item-${string}`, (_: {
        item: any;
        index: number;
    }) => any>> & {
        'expanded-row'?(_: {
            item: any;
            index: number;
        }): any;
    };
    refs: {};
    rootEl: HTMLDivElement;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<TableProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    select: (index: number) => any;
    searchSubmit: (column: searchOption[]) => any;
    "select:all": () => any;
    "update:selection": (value: number[]) => any;
    sortColumn: (column: sortOption) => any;
    searchResultsLocally: (...args: any[]) => any;
}, string, import('vue').PublicProps, Readonly<TableProps> & Readonly<{
    onSelect?: ((index: number) => any) | undefined;
    onSearchSubmit?: ((column: searchOption[]) => any) | undefined;
    "onSelect:all"?: (() => any) | undefined;
    "onUpdate:selection"?: ((value: number[]) => any) | undefined;
    onSortColumn?: ((column: sortOption) => any) | undefined;
    onSearchResultsLocally?: ((...args: any[]) => any) | undefined;
}>, {
    items: any[];
    selection: number[];
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, HTMLDivElement>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
